
select p.name package_name, o.name target_name, c.name parameter_name, 
       c.type_name parameter_type, 
       case c.capabilities_desc 
       when 'mandatory' then 'yes' else 'no' 
       end required
from sys.dm_xe_objects o 
join sys.dm_xe_packages p      
on o.package_guid = p.guid
join sys.dm_xe_object_columns c      
on o.name = c.object_name and c.column_type = 'customizable'
where o.object_type = 'target' order by package_name, target_name, required desc
