use pubs
go

select a.*
from authors as a
	join titleauthor as ta ON a.au_id = ta.au_id
	join titles as t ON ta.title_id = t.title_id
	join publishers as p ON p.pub_id = t.pub_id
where p.city = 'Berkeley'

select * 
from authors
where au_id IN (select au_id 
	from titleauthor
	where title_id IN (select title_id 
			from titles 
			where pub_id IN (select pub_id 
					from publishers 
					where city = 'Berkeley')))